GetTaskReportResponsePBImpl (Apache Hadoop MapReduce Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb, class: GetTaskReportResponsePBImpl

Package org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb

# Class GetTaskReportResponsePBImpl

java.lang.Object
org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportResponseProto>
org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb.GetTaskReportResponsePBImpl

All Implemented Interfaces:
  `GetTaskReportResponse`

public class GetTaskReportResponsePBImpl extends org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportResponseProto> implements GetTaskReportResponse

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetTaskReportResponsePBImpl()`
  `GetTaskReportResponsePBImpl(org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportResponseProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportResponseProto`
  `getProto()`
  `TaskReport`
  `getTaskReport()`
  `void`
  `setTaskReport(TaskReport taskReport)`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase

  `convertFromProtoFormat, convertToProtoFormat, equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetTaskReportResponsePBImpl

    public GetTaskReportResponsePBImpl()

  - ### GetTaskReportResponsePBImpl

    public GetTaskReportResponsePBImpl(org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportResponseProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportResponseProto getProto()
    Specified by:
      `getProto` in class `org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportResponseProto>`

  - ### getTaskReport

    public TaskReport getTaskReport()
    Specified by:
      `getTaskReport` in interface `GetTaskReportResponse`

  - ### setTaskReport

    public void setTaskReport(TaskReport taskReport)
    Specified by:
      `setTaskReport` in interface `GetTaskReportResponse`